package com.zd.chemical.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @author cyl
 * @date 2022-06-16
 */
@ApiModel("首页化学品信息统计")
public class HxpHomeChemicalVo {
    private static final long serialVersionUID = 1L;

    /**
     * chemicalUsableNum
     */
    @ApiModelProperty(value = "化学品可用数量")
    private Integer chemicalUsableNum;

    /**
     * cabinetNum
     */
    @ApiModelProperty(value = "机柜可用数量")
    private Integer cabinetNum;

    /**
     * chemicalOutNum
     */
    @ApiModelProperty(value = "化学品用结数量")
    private Integer chemicalOutNum;

    /**
     * overdueTime
     */
    @ApiModelProperty(value = "化学品作废数量")
    private Integer chemicalCancelNum;

    /**
     * overdueTime
     */
    @ApiModelProperty(value = "化学品即将过期")
    private Integer overdueTime;

    public Integer getChemicalUsableNum() {
        return chemicalUsableNum;
    }

    public void setChemicalUsableNum(Integer chemicalUsableNum) {
        this.chemicalUsableNum = chemicalUsableNum;
    }

    public Integer getCabinetNum() {
        return cabinetNum;
    }

    public void setCabinetNum(Integer cabinetNum) {
        this.cabinetNum = cabinetNum;
    }

    public Integer getChemicalOutNum() {
        return chemicalOutNum;
    }

    public void setChemicalOutNum(Integer chemicalOutNum) {
        this.chemicalOutNum = chemicalOutNum;
    }

    public Integer getChemicalCancelNum() {
        return chemicalCancelNum;
    }

    public void setChemicalCancelNum(Integer chemicalCancelNum) {
        this.chemicalCancelNum = chemicalCancelNum;
    }

    public Integer getOverdueTime() {
        return overdueTime;
    }

    public void setOverdueTime(Integer overdueTime) {
        this.overdueTime = overdueTime;
    }
}
